## BtSequenceView BtSequenceView — the editor main sequence table view |

## Functions

BtSequenceView * | bt_sequence_view_new ()

## Properties

gdouble | loop-end | Write
gdouble | loop-start | Write
gdouble | play-position | Write
gulong | visible-rows | Write

## Types and Values

struct | BtSequenceView

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkTreeView
                        ╰── BtSequenceView

## Implemented Interfaces

BtSequenceView implements AtkImplementorIface, GtkBuildable and GtkScrollable.

## Includes

    #include "bt-edit.h"

## Description

This widget derives from the GtkTreeView to additionaly draw loop- and play-position bars.

## Functions

### bt_sequence_view_new ()

    BtSequenceView *
    bt_sequence_view_new (void);

Create a new instance

#### Returns

the new instance

## Types and Values

### struct BtSequenceView

    struct BtSequenceView;

the sequence widget view

## Property Details

### The `“loop-end”` property

      “loop-end”                 gdouble

The end position of the loop range as a fraction.

Flags: Write

Allowed values: [0,1]

Default value: 1

### The `“loop-start”` property

      “loop-start”               gdouble

The start position of the loop range as a fraction.

Flags: Write

Allowed values: [0,1]

Default value: 0

### The `“play-position”` property

      “play-position”            gdouble

The current playing position as a fraction.

Flags: Write

Allowed values: [0,1]

Default value: 0

### The `“visible-rows”` property

      “visible-rows”             gulong

The number of currntly visible sequence rows.

Flags: Write

## See Also

BtMainPageSequence